Subject: Re: [PATCH/RFC] remove #!interpreter line from shell libraries

From: Clemens Buchacher <[email-masked]>
Date: Tue, 13 Mar 2012 20:09:49 +0100

On Mon, Mar 12, 2012 at 02:17:03PM -0500, Jonathan Nieder wrote:
> 
> By the way, my mild dislike for the #! line in shell libraries is
> actually rooted in functionality, in a way.  Though it would never
> happen in git, I have had too many unhappy experiences of shell
> libraries with #!/bin/bash at the top that were used in #!/bin/sh
> scripts and broke completely.  So that is where the bad association
> comes from.

Maybe I am missing something here, but as far as I can see this is an
argument for _keeping_ the #! line, because at least it will give a hint
that a /bin/bash library will not work for a /bin/sh script, whereas
"this is a shell library" can mean almost anything.

Anyways, I can certainly survive without the #! line. So please feel
free to ignore my comments if you feel strongly about this.

Clemens